<?php

class Form
{
    public function __construct()
    {
        add_action('wp_enqueue_scripts', [$this, 'stylesScripts']);
        add_shortcode("suscribir-newsletter", [$this, "shortcode"]);
    }

    public function stylesScripts()
    {
        wp_enqueue_style('suscribir-newsletter-facebook', plugin_dir_url(__FILE__) . "../css/facebook.css", false, filemtime(plugin_dir_path(__FILE__) . '../css/facebook.css'));
        wp_enqueue_style('suscribir-newsletter-subscribe', plugin_dir_url(__FILE__) . "../css/newsletter-subscribe.css", false, filemtime(plugin_dir_path(__FILE__) . '../css/newsletter-subscribe.css'));
    }

    public function shortcode()
    {
        ?>
        <div class="newsletter-subscribe">

            <div class="mod mod_tsc" style="margin-top: 60px;margin-bottom: 20px;text-align: center;">
                <div class="mod_tsc_content">
                    <h2 style="font-size: 30px" class=" bigger-margin">Apúntate a nuestra newsletter</h2>
                    <div><p>Suscríbete a nuestra newsletter y recibirás en tu correo electrónico los productos de los
                            Días Exprés de la semana para que no te pierdas ninguno. Además, podrás leer nuestra revista
                            semanal, descubrir recetas, hacer manualidades, obtener recomendaciones…</p>
                        <p>¡Ah! Y puedes estar tranquilo, tus datos no se utilizarán para otros fines ni se cederán a
                            otras empresas.</p>
                    </div>
                </div>
            </div>

            <form method="post" action="<?php echo admin_url('admin-post.php'); ?>" class="introduce-data" novalidate>
                <input type="hidden" name="action" value="newsletter_subscribe">

                <div class="newsletter-genero">
                    <input type="radio" name="genero" value="hombre" checked> <?php _e('Hombre'); ?>
                    <input type="radio" name="genero" value="mujer"> <?php _e('Mujer'); ?>
                </div>

                <div class="row">
                    <div class="col-md-6 col-xs-12">
                        <input name="nombre" type="text" placeholder="Nombre" id="nombre">
                    </div>
                    <div class="col-md-6 col-xs-12">
                        <input name="email" type="email" placeholder="E-mail" id="email">
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-6 col-xs-12">
                        <input name="cp" type="number" placeholder="Código postal" id="cp">
                    </div>
                    <div class="col-md-6 col-xs-12">
                        <input name="poblacion" type="text" placeholder="Población" id="poblacion">
                    </div>
                </div>

                <div class="newsletter-submit">
                    <div class="g-recaptcha" data-sitekey="6LdjyAkUAAAAAIwnSy9qziTX3wiRpdN409Uso-N_"></div>
                </div>

                <div class="newsletter-genero">
                    <input type="checkbox" id="acepto" name="acepto"> Acepto la <a
                            href="<?php get_home_url(); ?>/politica-de-privacidad-y-proteccion-de-datos/"
                            target="_blank">Política de Privacidad y Protección de Datos</a>
                </div>

                <!-- ERRORES FORMULARIO -->
                <div class="newsletter-error-shade"></div>
                <div class="newsletter-error alert alert-danger">
                    <div class="newsletter-error-msg"></div>
                </div>

                <div class="newsletter-submit">
                    <input type="submit" id="submit-newsletter" value="<?php _e('REGÍSTRATE'); ?>">
                </div>

            </form>

        </div>
        <?php
    }
}
