<?php

class FormFooter
{
    public function __construct()
    {
        add_action('wp_enqueue_scripts', [$this, 'stylesScripts']);
        add_shortcode("suscribir-newsletter-footer", [$this, "shortcode"]);
    }

    public function stylesScripts()
    {
        wp_enqueue_style('suscribir-newsletter-footer-css', plugin_dir_url(__FILE__) . "../css/newsletter-footer.css", false, filemtime(plugin_dir_path(__FILE__) . '../css/newsletter-footer.css'));

        wp_enqueue_script('suscribe-newsletter-footer-js', plugin_dir_url(__FILE__) . '../js/form-footer.js', ['jquery'], null, true);
        wp_localize_script('suscribe-newsletter-footer-js', 'S_Newsletter_Form_Footer', [
            'pluginurl' => plugin_dir_url(__FILE__) . '../',
        ]);
    }

    public function shortcode()
    {
        ?>
        <div class="panel panel-default">
            <div class="panel-body">
                <div class="suscribe-newsletter-footer">
                    <h2>Apúntate a nuestra newsletter</h2>

                    <form method="post" action="<?php echo admin_url('admin-post.php'); ?>"
                          class="introduce-data-footer" novalidate>
                        <input type="hidden" name="action" value="newsletter_subscribe">

                        <div class="form-group">
                            <input type="text" class="form-control" name="name" id="name-footer" placeholder="Nombre">
                        </div>

                        <div class="form-group">
                            <input type="email" class="form-control" name="email" id="email-footer"
                                   placeholder="E-mail">
                        </div>

                        <!-- Captcha -->
                        <div class="form-group captcha">
                            <div
                                    class="g-recaptcha"
                                    data-sitekey="6LdjyAkUAAAAAIwnSy9qziTX3wiRpdN409Uso-N_"
                            ></div>
                        </div>

                        <div class="checkbox">
                            <label>
                                <input type="checkbox" id="acepto-footer" name="acepto-footer">
                                Acepto la <a
                                        href="<?php get_home_url(); ?>/politica-de-privacidad-y-proteccion-de-datos/"
                                        target="_blank">Política de Privacidad y Protección de Datos.</a>
                            </label>
                        </div>

                        <button class="submit" class="button-newsletter-registrate">
                            <img src="<?php echo plugin_dir_url(__FILE__) . "../img/plane.png"; ?>"> Regístrate
                        </button>

                        <input type="hidden" name="origin" value="footer" id="origin-footer">

                        <div class="alert alert-danger newsletter-footer-error">
                            <div class="newsletter-footer-error-msg"></div>
                        </div>

                    </form>
                </div>
            </div>
        </div>
        <?php
    }
}
