<?php

class FormGeneral
{
    public function __construct()
    {
        add_action('wp_enqueue_scripts', [$this, 'stylesScripts']);
        add_shortcode("suscribir-newsletter-general", [$this, "shortcode"]);
    }

    public function stylesScripts()
    {
        wp_enqueue_style('suscribir-newsletter-general-css', plugin_dir_url(__FILE__) . "../css/newsletter-subscribe-general.css", false, filemtime(plugin_dir_path(__FILE__) . '../css/newsletter-subscribe-general.css'));

        wp_enqueue_script('suscribe-newsletter-general-js', plugin_dir_url(__FILE__) . '../js/form-general.js', ['jquery'], null, true);
        wp_localize_script('suscribe-newsletter-general-js', 'S_Newsletter_Form_General', [
            'pluginurl' => plugin_dir_url(__FILE__) . '../',
        ]);
    }

    public function shortcode()
    {
        $current_store['postal_code'] = "";
        $current_store['code'] = $_COOKIE['current_store']['code'];

        // Getting name and email from URL
        $queryURL = parse_url(html_entity_decode(esc_url(add_query_arg($arr_params))));
        parse_str($queryURL['query'], $getVar);
        $name = $getVar['name-newsletter'];
        $email = $getVar['email'];
        ?>

        <div class="newsletter-subscribe-general" id="newsletter-subscribe-general">

            <div class="newsletter-subscribe">

                <div class="newsletter-subscribe-general-main-text">
                    <p>Enterarte el primero de todas nuestras novedades, Días Exprés, recetas, manualidades y, mucho
                        más, es gratis y no te tomará más de 1 minuto. ¡Rellena el siguiente formulario y cada semana
                        tendrás lo mejor de nosotros en tu buzón!</p>
                    <p>¡Tus datos están a salvo con nosotros! Puedes estar tranquilo, no los compartiremos con nadie ni
                        los utilizaremos para otros fines.</p>
                </div>
                <form method="post" action="<?php echo admin_url('admin-post.php'); ?>" class="introduce-data"
                      novalidate>
                    <input type="hidden" name="action" value="newsletter_subscribe">

                    <div class="newsletter-subscribe-general-form-block block-1">
                        <p class="number">1.</p>
                        <h3>Datos personales</h3>
                        <input type="text" name="name" id="name" placeholder="Nombre" value="<?= $name; ?>">
                        <input type="email" name="email" id="email" placeholder="Email" value="<?= $email; ?>">
                    </div>

                    <div class="newsletter-subscribe-general-form-block block-1">
                        <p class="number">2.</p>
                        <h3>¿Cuál es tu tienda habitual?</h3>
                        <input type="number" name="postal_code" id="postal_code" placeholder="Código Postal">
                        <div class="select-wrapper">
                            <select name="store" id="store">
                                <option value="empty">Tienda</option>
<!--                                --><?php
//                                $storeRepo = new \WCAldi\Repositories\StoreRepo();
//                                $stores = $storeRepo->getAllInfo(-1, 'title');
//
//                                foreach ($stores as $s) {
//                                    $selected = ($current_store['code'] == $s['code']) ? 'selected' : '';
//                                    echo "<option value='" . $s['code'] . "' ' . $selected . '>" . $s['name'] . " - " . $s['address'] . "</option>";
//                                }
//                                ?>
                            </select>
                        </div>
                    </div>

                    <div class="newsletter-subscribe-general-form-block block-1">
                        <p class="number">3.</p>
                        <h3>¿Cuáles de estos tipos de productos sueles comprar en Aldi?</h3>
                        <div class="products-list">
                            <div class="row">
                                <div class="col-sm-12 col-md-6">
                                    <input type="checkbox" name="pan_bolleria" id="pan_bolleria"> <label
                                            for="pan_bolleria">Pan y bollería</label><br>
                                    <input type="checkbox" name="frescos" id="frescos"> <label for="frescos">Productos
                                        frescos</label><br>
                                    <input type="checkbox" name="refrigerados_congelados" id="refrigerados_congelados">
                                    <label for="refrigerados_congelados">Refrigerados y congelados</label><br>
                                    <input type="checkbox" name="despensa" id="despensa"> <label
                                            for="despensa">Despensa</label><br>
                                    <input type="checkbox" name="bebidas" id="bebidas"> <label
                                            for="bebidas">Bebidas</label><br>
                                </div>
                                <div class="col-sm-12 col-md-6">
                                    <input type="checkbox" name="ecologicos" id="ecologicos"> <label for="ecologicos">Productos
                                        ecológicos</label><br>
                                    <input type="checkbox" name="cuidado_personal" id="cuidado_personal"> <label
                                            for="cuidado_personal">Cuidado personal</label><br>
                                    <input type="checkbox" name="drogueria" id="drogueria"> <label for="drogueria">Droguería
                                        y productos del hogar</label><br>
                                    <input type="checkbox" name="dias_expres" id="dias_expres"> <label
                                            for="dias_expres">Días Exprés</label><br>
                                </div>
                            </div>
                        </div>

                    </div>

                    <div class="newsletter-accept">
                        <input type="checkbox" id="acepto" name="acepto"> Acepto la <a
                                href="<?php get_home_url(); ?>/politica-de-privacidad-y-proteccion-de-datos/"
                                target="_blank">Política de Privacidad y Protección de Datos</a>
                    </div>

                    <div class="newsletter-submit">
                        <input type="hidden" name="origin" id="origin-page" value="page">
                        <div class="g-recaptcha" data-sitekey="6LdjyAkUAAAAAIwnSy9qziTX3wiRpdN409Uso-N_"></div>

                        <!-- Errors panel -->
                        <div class="newsletter-error alert alert-danger">
                            <div class="newsletter-error-msg"></div>
                        </div>

                        <button>Enviar</button>
                        <?php
                        if ($name != '') {
                            echo "<input type='hidden' id='redirect-landing' value='" . get_permalink(get_page_by_path('apuntate-nuestra-newsletter/bienvenido-a-aldi')->ID) . "'>";
                        }
                        ?>
                    </div>

                </form>
            </div>

        </div>
        <?php
    }
}
