<?php

class FormUnsubscribe
{
    public function __construct()
    {
        add_action('wp_enqueue_scripts', [$this, 'stylesScripts']);
        add_shortcode("baja-newsletter", [$this, "shortcode"]);
    }

    public function stylesScripts()
    {
        wp_enqueue_script('suscribe-newsletter-unsubscribe-js', plugin_dir_url(__FILE__) . '../js/form-unsubscribe.js', ['jquery'], null, true);
        wp_localize_script('suscribe-newsletter-unsubscribe-js', 'S_Newsletter_Form_Unsubscribe', [
            'pluginurl' => plugin_dir_url(__FILE__) . '../',
        ]);
    }

    public function shortcode()
    {
        ?>
        <div class="newsletter-subscribe-general" id="newsletter-subscribe-general">
            <div class="newsletter-subscribe">
                <div class="newsletter-subscribe-general-main-text">
                    <p>Te echaremos de menos, sin ti no volverá a ser lo mismo.</p>
                    <p>Aunque si cambias de idea, te esperaremos con los brazos abiertos. Siempre podrás volver a suscribirte y recibir de nuevo nuestras mejores ofertas.</p>
                    <p>Visítanos en las tiendas Aldi y descubre todas las novedades que estrenamos para ti. ¡Hasta pronto!</p>
                </div>

                <form method="post" action="<?php echo admin_url('admin-post.php'); ?>"
                      class="introduce-data-unsubscribe" novalidate>
                    <input type="hidden" name="action" value="newsletter_unsubscribe">

                    <div class="newsletter-subscribe-general-form-block block-1">
                        <h3>Datos personales</h3>
                        <input type="email" name="email" id="email" placeholder="Email" value="">
                    </div>

                    <div class="newsletter-accept">
                        <input type="checkbox" id="acepto" name="acepto"> Acepto la <a
                                href="<?php get_home_url(); ?>/politica-de-privacidad-y-proteccion-de-datos/"
                                target="_blank">Política de Privacidad y Protección de Datos</a>
                    </div>

                    <div class="newsletter-submit">
                        <input type="hidden" name="origin" id="origin-page" value="page">
                        <div class="g-recaptcha" data-sitekey="6LdjyAkUAAAAAIwnSy9qziTX3wiRpdN409Uso-N_"></div>

                        <!-- Errors panel -->
                        <div class="newsletter-error alert alert-danger">
                            <div class="newsletter-error-msg"></div>
                        </div>

                        <button>Enviar</button>
                    </div>
                </form>
            </div>
        </div>
        <?php
    }
}
