jQuery(document).ready(function ($) {
  checkNewsletterFooterValues();
  userTyping();

  // It checks that the form values for the newsletter subscription on the footer are correct
  function checkNewsletterFooterValues() {

    // Al hacer click en submit
    $('form.introduce-data-footer').on('submit', function (e) {
      e.preventDefault();

      var aceptar = true;
      var msg = '<strong>Se han encontrado errores:</strong>';

      // Checking empty fields
      $('form.introduce-data-footer input').each(function () {
        if ($(this).attr('type') == 'email') {
          if (validateEmail($(this).val()) === false) {
            msg += '<br>-Email erroneo.';
            aceptar = showError($(this));
          }
        }

        if ($(this).attr('type') == 'text') {
          if (!$(this).val()) {
            msg += '<br>-Rellene los campos vacíos.';
            aceptar = showError($(this));
          }
        }
      });

      // Checking "Accept Terms & Conditions"
      if (!$('form.introduce-data-footer input#acepto-footer').prop('checked')) {
        msg += '<br>-Acepte los términos y condiciones.';
        aceptar = false;
      }

      // Checking reCaptcha
      if (typeof grecaptcha !== 'undefined') {
        var v = grecaptcha.getResponse();
        if (v.length == 0) {
          msg += '<br>-Complete el reCAPTCHA.';
          aceptar = false;
        }
      }

      if (aceptar) {
        $.ajax({
          type: 'POST',
          url: $(this).attr('action'),
          data: $(this).serialize(),
          success: function (noti) {
            submittedFooter();
          },
          error: function (noti) {
            submitFooterError();
          }
        });

        return false;
      } else {
        $('.newsletter-footer-error').fadeOut("slow", function () {
          $(this).find('.newsletter-footer-error-msg').empty();
          $(this).find('.newsletter-footer-error-msg').html(msg);
          $(this).fadeIn();
        });

        return false;
      }
    });
  }

  function submittedFooter() {
    jQuery('.suscribe-newsletter-footer').fadeOut("slow", function () {
      jQuery(this).html('<h2>¡Gracias por registrarte!</h2><p>No olvides validar tu suscripción con el e-mail que recibirás en tu cuenta de correo y podrás ver todo lo que te contamos cada semana.</p><p>Si te sabe a poco y quieres más, te esperamos en nuestras redes sociales.</p><img class="email" src="' + S_Newsletter_Form_Footer.pluginurl + 'img/Contact-256.png">');
      jQuery(this).fadeIn();
    });

    if (typeof fbq === 'function') {
      fbq('track', 'CompleteRegistration');
    }
  }

  // Error
  function submitFooterError() {
    jQuery('.suscribe-newsletter-footer').fadeOut("slow", function () {
      jQuery(this).html('<h2>¡Error en el registro!</h2><p>Lo sentimos, ha ocurrido un error inesperado en el proceso. Ponte en contacto con nosotros a través de la sección de contacto o nuestras redes sociales.</p><img src="' + S_Newsletter_Form_Footer.pluginurl + 'img/Contact-256.png">');
      jQuery(this).fadeIn();
    });
  }

  // Changing the color of the input back to black if the user types in
  function userTyping() {
    $('form.introduce-data-footer input').on('keypress', function () {
      $(this).css({'border-color': 'black'});
    });

    $('form.introduce-data-footer input').on('change', function () {
      $(this).css({'border-color': 'black'});
    });
  }

  function validateEmail(email) {
    var re = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;

    return re.test(String(email).toLowerCase());
  }

  function showError($file) {
    $file.css({'border-color': 'red'});

    return false;
  }
});
