jQuery(document).ready(function ($) {
  checkNewsletterValues();
  userTyping();

  // It checks that the form values for the newsletter subscription are correct
  function checkNewsletterValues() {

    // Al hacer click en submit
    $('form.introduce-data').on('submit', function (e) {
      e.preventDefault();

      var aceptar = true;
      var msg = '<strong>Se han encontrado errores. Por favor, revise su formulario:</strong>';

      // Checking empty fields
      $('form.introduce-data input').each(function () {
        if ($(this).attr('type') == 'email') {
          if (validateEmail($(this).val()) === false) {
            msg += '<br>-Email erroneo.';
            aceptar = showError($(this));
          }
        }

        if ($(this).attr('type') == 'number') {
          if (validateNumber($(this).val()) === false) {
            msg += '<br>-Campo numérico erróneo.';
            aceptar = showError($(this));
          }
        }

        if ($(this).attr('type') == 'text') {
          if ($(this).val() === '') {
            msg += '<br>-Rellene los campos vacíos.';
            aceptar = showError($(this));
          }
        }
      });

      if ($('form.introduce-data select#store').val() === 'empty') {
        $('form.introduce-data select#store').css({'border-color': 'red'});
        msg += '<br>-Seleccione una tienda.';
      }

      // Checking "Accept Terms & Conditions"
      if (!$('form.introduce-data input#acepto').prop('checked')) {
        msg += '<br>-Acepte los términos y condiciones.';
        aceptar = false;
      }

      // Checking reCaptcha
      if (typeof grecaptcha !== 'undefined') {
        var v = grecaptcha.getResponse();
        if (v.length == 0) {
          msg += '<br>-Complete el reCAPTCHA.';
          aceptar = false;
        }
      }

      if (aceptar) {
        $.ajax({
          type: 'POST',
          url: $(this).attr('action'),
          data: $(this).serialize(),
          success: function (noti) {
            submitted();
          },
          error: function (noti) {
            submitError();
          }
        });

        return false;
      } else {
        $('.newsletter-error').fadeOut("slow", function () {
          $(this).find('.newsletter-error-msg').empty();
          $(this).find('.newsletter-error-msg').html(msg);
          $(this).fadeIn();
        });

        return false;
      }
    });
  }

  // Submitted {
  function submitted() {
    jQuery('.newsletter-subscribe').fadeOut("slow", function () {

      if (jQuery('#redirect-landing').length) {
        window.location.replace(jQuery('#redirect-landing').val());
      } else {
        jQuery(this).html('<div class="newsletter-subscribe-general-form-block"><h3>¡Gracias por registrarte!</h3><p>No olvides validar tu suscripción con el e-mail que recibirás en tu cuenta de correo y podrás ver todo lo que te contamos cada semana.</p><p>Si te sabe a poco y quieres más, te esperamos en nuestras redes sociales.</p><img src="' + S_Newsletter_Form_General.pluginurl + 'img/Contact-256.png"></div>');
        jQuery(this).fadeIn();
        jQuery('html, body').animate({
          scrollTop: jQuery("#newsletter-subscribe-general").offset().top - 160
        }, 1000);
      }
    });

    if (typeof fbq === 'function') {
      fbq('track', 'CompleteRegistration');
    }
  }

  // Error
  function submitError() {
    jQuery('.newsletter-subscribe').fadeOut("slow", function () {
      jQuery(this).html('<div class="newsletter-subscribe-general-form-block"><h3>¡Error en el registro!</h3><p>Lo sentimos, ha ocurrido un error inesperado en el proceso. Ponte en contacto con nosotros a través de la sección de contacto o nuestras redes sociales.</p><img src="' + S_Newsletter_Form_General.pluginurl + 'img/Contact-256.png"></div>');
      jQuery(this).fadeIn();
      jQuery('html, body').animate({
        scrollTop: jQuery("#newsletter-subscribe-general").offset().top - 160
      }, 1000);
    });
  }

  // Changing the color of the input back to black if the user types in
  function userTyping() {
    $('form.introduce-data input').on('keypress', function () {
      $(this).css({'border-color': 'black'});
    });

    $('form.introduce-data input').on('change', function () {
      $(this).css({'border-color': 'black'});
    });
  }

  function validateEmail(email) {
    var re = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;

    return re.test(String(email).toLowerCase());
  }

  function validateNumber(number) {
    number = parseInt(number, 10);

    if (Math.floor(number) == number && $.isNumeric(number)) {
      return true;
    } else {
      return false;
    }
  }

  function showError($file) {
    $file.css({'border-color': 'red'});

    return false;
  }
});
