jQuery(document).ready(function ($) {
  checkNewsletterValues();
  userTyping();

  // It checks that the form values for the newsletter subscription are correct
  function checkNewsletterValues() {

    // Al hacer click en submit
    $('form.introduce-data-unsubscribe').on('submit', function (e) {
      e.preventDefault();

      var aceptar = true;
      var msg = '<strong>Se han encontrado errores. Por favor, revise su formulario:</strong>';

      // Checking empty fields
      $('form.introduce-data-unsubscribe input').each(function () {
        if ($(this).attr('type') == 'email') {
          if (validateEmail($(this).val()) === false) {
            msg += '<br>-Email erroneo.';
            aceptar = showError($(this));
          }
        }
      });

      // Checking "Accept Terms & Conditions"
      if (!$('form.introduce-data-unsubscribe input#acepto').prop('checked')) {
        msg += '<br>-Acepte los términos y condiciones.';
        aceptar = false;
      }

      // Checking reCaptcha
      if (typeof grecaptcha !== 'undefined') {
        var v = grecaptcha.getResponse();
        if (v.length == 0) {
          msg += '<br>-Complete el reCAPTCHA.';
          aceptar = false;
        }
      }

      if (aceptar) {
        $.ajax({
          type: 'POST',
          url: $(this).attr('action'),
          data: $(this).serialize(),
          success: function (noti) {
            submitted();
          },
          error: function (noti) {
            submitError();
          }
        });

        return false;
      } else {
        $('.newsletter-error').fadeOut("slow", function () {
          $(this).find('.newsletter-error-msg').empty();
          $(this).find('.newsletter-error-msg').html(msg);
          $(this).fadeIn();
        });
        return false;
      }
    });
  }

  // Submitted {
  function submitted() {
    jQuery('.newsletter-subscribe').fadeOut("slow", function () {
      jQuery(this).html('<div class="newsletter-subscribe-general-form-block"><h3>Te has dado de baja correctamente</h3><p>El proceso se ha completado con éxito.</p><img src="' + S_Newsletter_Form_Unsubscribe.pluginurl + 'img/Contact-256.png"></div>');
      jQuery(this).fadeIn();
      jQuery('html, body').animate({
        scrollTop: jQuery("#newsletter-subscribe-general").offset().top - 160
      }, 1000);
    });
  }

  // Error
  function submitError() {
    jQuery('.newsletter-subscribe').fadeOut("slow", function () {
      jQuery(this).html('<div class="newsletter-subscribe-general-form-block"><h3>¡Error en el registro!</h3><p>Lo sentimos, ha ocurrido un error inesperado en el proceso. Ponte en contacto con nosotros a través de la sección de contacto o nuestras redes sociales.</p><img src="' + S_Newsletter_Form_Unsubscribe.pluginurl + 'img/Contact-256.png"></div>');
      jQuery(this).fadeIn();
      jQuery('html, body').animate({
        scrollTop: jQuery("#newsletter-subscribe-general").offset().top - 160
      }, 1000);
    });
  }

  // Changing the color of the input back to black if the user types in
  function userTyping() {
    $('form.introduce-data-unsubscribe input').on('keypress', function () {
      $(this).css({'border-color': 'black'});
    });

    $('form.introduce-data-unsubscribe input').on('change', function () {
      $(this).css({'border-color': 'black'});
    });
  }

  function validateEmail(email) {
    var re = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;

    return re.test(String(email).toLowerCase());
  }

  function showError($file) {
    $file.css({'border-color': 'red'});

    return false;
  }
});
