<?php
/**
 * Plugin Name: Suscribirse a la Newsletter
 * Description: Muestra un formulario que permite al usuario suscribirse a la Newsletter mediante Facebook o ingresando
 * sus datos
 * Version: 3.4
 * Author: Alejandro Torres y Asier Vega
 * Modified by: Asier Vega
 * Email: avega@lin3s.com
 */

include 'inc/Elettershop.php';
include 'inc/Form.php';
include 'inc/FormFooter.php';
include 'inc/FormGeneral.php';
include 'inc/FormPosts.php';
include 'inc/FormUnsubscribe.php';

class newsletterSubscribe
{
    public function __construct()
    {
        new Elettershop();
        new Form();
        new FormFooter();
        new FormGeneral();
        new FormPosts();
        new FormUnsubscribe();

        add_filter('query_vars', [$this, 'addParamsQueryVar']);
    }

    public function addParamsQueryVar($vars)
    {
        $vars[] = "name-newsletter";
        $vars[] = "email";

        return $vars;
    }

    public function confirmEmail()
    {
        check_ajax_referer('newsletter-subscribe-nonce', 'security');
    }
}

$sn = new newsletterSubscribe();
